
Redmine - Defect #9875

Moving parent task leaves subtasks behind

2011-12-27 00:39 - Adam Sneller

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Roadmap Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 1.2.2

Description

I am having a problem moving parent task between version numbers.  Suppose you have a list of issues with parent and subtasks. 

You then group these issues by version number, to render a hierarchy like so:

Version 1.0

Backlog

Parent task 1

Parent task 2

- Subtask 2.1

- Subtask 2.2

Parent task 3

If you then Ctrl-click parent task 2 and change it's version number from Backlog to Version 1.0.  Here's what happens:

Version 1.0

Parent task 2

Backlog

Parent task 1

Subtask 2.1

Subtask 2.2

Parent task 3

Notice that Subtask 2.1 and Subtask 2.2 have been left behind!  I think it makes sense that if you move a Parent task, all subtasks

should follow.

Related issues:

Related to Redmine - Feature #6117: subtasks default to parent issue target v... New 2010-08-12

History

#1 - 2012-01-30 15:03 - Daniel Albuschat

I started a discussion regarding this topic in the forums:

http://www.redmine.org/boards/4/topics/28743

Also, #9972 is a similar (at least related) issue.

#2 - 2016-02-03 13:44 - Alessandro Zucchi

+1

#3 - 2016-02-03 14:40 - Sebastian Paluch

I disagree. I can easily imagine a parent task that, in total, is very big. I know that entire functionality that the task is delivering should be released in

"Version 1" but subtasks can be released for testing much earlier in beta releases.

#4 - 2016-02-07 05:27 - Toshi MARUYAMA

- Category set to Roadmap

#5 - 2016-02-07 05:30 - Toshi MARUYAMA

- Related to Feature #6117: subtasks default to parent issue target version added
